import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;
// 基于 APP/src/mock/app/%CTRL_PKGPATH%-appmenu/%CTRL_PKGPATH%-appmenu.ts.ftl 生成
// 获取应用数据
mock.onGet('v7/usr1207222915-menuappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: '264228BA-1985-418E-9E88-0C3DA4839288',
	name: 'menuitem1',
	text: '分页导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '分页导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto213',
	resourcetag: '',
},
            {
	id: 'BE1625C9-7061-4CF9-8EA3-73755588D765',
	name: 'menuitem2',
	text: '树视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '树视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc91',
	resourcetag: '',
},
        ],
    }];
});

